{
  "name": "sop-web",
  "description": "",
  "version": "1.0.2",
  "private": true,
  "author": "星辰大海",
  "license": "MIT",
  "scripts": {
    "start": "npm run dev",
    "dev": "cross-env VITE_ENV_TYPE=development vite --mode=development",
    "dev:test": "cross-env VITE_ENV_TYPE=test vite --mode=test",
    "dev:prod": "cross-env VITE_ENV_TYPE=production vite --mode=production",
    "build": "cross-env VITE_ENV_TYPE=production vite build --mode=production",
    "build:dev": "cross-env VITE_ENV_TYPE=development vite build --mode=development",
    "build:test": "cross-env VITE_ENV_TYPE=test vite build --mode=test",
    "preview": "vite preview",
    "lint:eslint": "eslint \"src/**/*.{vue,ts,tsx,js,jsx}\" --fix",
    "lint:prettier": "prettier --write --loglevel warn \"src/**/*.{js,json,tsx,jsx,css,less,scss,vue,html,md}\"",
    "lint:stylelint": "stylelint --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/"
  },
  "dependencies": {
    "@chenfengyuan/vue-qrcode": "^2.0.0",
    "@cloudcare/browser-rum": "^3.1.10",
    "@tinymce/tinymce-vue": "^5.1.1",
    "@vueuse/core": "^9.13.0",
    "animate.css": "^4.1.1",
    "autoprefixer": "^10.4.14",
    "axios": "^1.2.1",
    "china-division": "^2.6.1",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.7",
    "echarts": "^5.4.2",
    "echarts-liquidfill": "^3.1.0",
    "element-resize-detector": "^1.2.4",
    "html2canvas": "^1.4.1",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.1",
    "mockjs": "^1.1.0",
    "nprogress": "^0.2.0",
    "pinia": "^2.0.27",
    "pinia-plugin-persistedstate": "^3.2.0",
    "qrcode": "^1.5.3",
    "qs": "^6.11.2",
    "spark-md5": "^3.0.2",
    "swiper": "^8.4.7",
    "tdesign-vue-next": "^1.6.8",
    "tinymce": "^6.7.0",
    "tvision-color": "^1.5.0",
    "unplugin-vue-setup-extend-plus": "^1.0.0",
    "vue": "^3.3.4",
    "vue-awesome-swiper": "^5.0.1",
    "vue-clipboard3": "^2.0.0",
    "vue-echarts": "^6.5.4",
    "vue-request": "^2.0.3",
    "vue-router": "4.1.5"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.3.0",
    "@commitlint/config-conventional": "^17.3.0",
    "@esbuild-plugins/node-globals-polyfill": "^0.2.3",
    "@esbuild-plugins/node-modules-polyfill": "^0.2.2",
    "@vitejs/plugin-vue": "^3.2.0",
    "@vitejs/plugin-vue-jsx": "^2.1.1",
    "@vue/babel-plugin-jsx": "^1.1.1",
    "cross-env": "^7.0.3",
    "eslint": "^8.29.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-import-resolver-typescript": "^3.5.2",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.8.0",
    "husky": "^8.0.2",
    "less": "^4.1.3",
    "prettier": "^2.8.1",
    "rollup-plugin-node-polyfills": "^0.2.1",
    "rollup-plugin-visualizer": "^5.9.2",
    "typescript": "^4.8.3",
    "unocss": "^0.52.0",
    "unplugin-auto-import": "^0.16.6",
    "unplugin-vue-components": "^0.25.1",
    "unplugin-vue-define-options": "^0.6.2",
    "vite": "^3.2.5",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-html": "^3.2.0",
    "vite-plugin-require-transform": "^1.0.12",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-svg-loader": "^3.6.0",
    "vue-tsc": "^1.0.11"
  }
}
